from fabric.api import task
from fabfile.tools import sass


@task
def watch():
    """- Start a SASS watch process."""
    scss_path = 'www/public/scss'
    css_path = 'www/public/css'

    sass.watch(scss_path, css_path)


@task
def compile():
    """- Compile all CSS files."""
    scss_path = 'www/public/scss'
    css_path = 'www/public/css'

    sass.compile(scss_path, css_path)
