from fabric.api import local


def watch(dir='./'):
    """
    Runs the Compass watch command

    Keyword Arguments:
    dir -- specifies director to watch

    """
    watch_exec = "compass watch {0}".format(dir)
    local(watch_exec)


def compile():
    """Runs the Compass compile command."""
    compile_exec = "compass compile --output-style compressed --force"
    local(compile_exec)
