from fabric.api import task
from fabric.api import lcd

from fabfile.tools import markdoc


@task
def build():
    """- Build or rebuild the project documentation."""
    with lcd('./docs'):
        markdoc.build()


@task
def serve():
    """- Run the markdoc, documentation server."""
    options = ''

    with lcd('./docs'):
        markdoc.serve(options)
