# todo:
# - Will likely need to update this for CentOS

# copy script to minion
/tmp/install-node.sh:
  file:
    - managed
    - source: salt://nodejs/install-node.sh
    - mode: 700
    - user: vagrant
    - group: vagrant

# build & install nodejs from source
nodejs-install:
  cmd.run:
    - user: root
    - group: root
    - cwd: /tmp
    - name: /tmp/install-node.sh
    - unless: test -e /usr/local/bin/node

    - require:
      - file: /tmp/install-node.sh
      - pkg: build-essential
      - pkg: python-software-properties
