define(
[
    'jquery',
    'underscore',
    'backbone',
    'js/models/breakpoint'
],

function($, _, Backbone, Breakpoint){
'use strict';

/**
 * @name Breakpoints
 * @description Breakpoints a collection of Breakpoint models
 * @returns {Backbone.Collection}
 * @requires jquery, underscore, backbone, js/models/breakpoint
 */

var Breakpoints = Backbone.Collection.extend({
    model: Breakpoint
});

return Breakpoints;

});
