define(
[
    'jquery',
    'underscore',
    'backbone'
],

function($, _, Backbone){
'use strict';

/**
 * @name Breakpoint
 * @description Breakpoint a Breakpoint model
 * @returns {Backbone.Model}
 * @requires jquery, underscore, backbone
 */

var Breakpoint = Backbone.Model.extend({
    defaults: {
        src: '',
        width: 0,
        height: 0
    }
});

return Breakpoint;

});
